uk.gov.hmrc.test.unigration

# UnigrationBase

###
Related Doc: package unigration

#### trait UnigrationBase extends PlaySpec with MustMatchers with GuiceOneAppPerSuite with UnigrationFutures with UnigrationFixtures

Linear Supertypes
UnigrationFixtures, UnigrationFutures, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, GuiceOneAppPerSuite, GuiceFakeApplicationFactory, FakeApplicationFactory, BaseOneAppPerSuite, TestSuiteMixin, SuiteMixin, PlaySpec, WsScalaTestClient, OptionValues, MustMatchers, Explicitly, MatcherWords, Tolerance, WordSpec, WordSpecLike, Documenting, Alerting, Notifying, Informing, CanVerb, MustVerb, ShouldVerb, TestRegistration, TestSuite, Suite, Serializable, Serializable, Assertions, TripleEquals, TripleEqualsSupport, AnyRef, Any
Known Subclasses
ControllerUnigrationSpec, RequestHandlerBehaviours
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UnigrationBase
2. UnigrationFixtures
3. UnigrationFutures
4. ScalaFutures
5. Futures
6. PatienceConfiguration
7. AbstractPatienceConfiguration
8. ScaledTimeSpans
9. GuiceOneAppPerSuite
10. GuiceFakeApplicationFactory
11. FakeApplicationFactory
12. BaseOneAppPerSuite
13. TestSuiteMixin
14. SuiteMixin
15. PlaySpec
16. WsScalaTestClient
17. OptionValues
18. MustMatchers
19. Explicitly
20. MatcherWords
21. Tolerance
22. WordSpec
23. WordSpecLike
24. Documenting
25. Alerting
26. Notifying
27. Informing
28. CanVerb
29. MustVerb
30. ShouldVerb
31. TestRegistration
32. TestSuite
33. Suite
34. Serializable
35. Serializable
36. Assertions
37. TripleEquals
38. TripleEqualsSupport
39. AnyRef
40. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### final class AWord extends AnyRef

   Definition Classes
     MustMatchers

2. #### final class AfterWord extends AnyRef

   Attributes
     protected
   Definition Classes
     WordSpecLike

3. #### final class AnWord extends AnyRef

   Definition Classes
     MustMatchers

4. #### sealed class AnyMustWrapper[T] extends AnyRef

   Definition Classes
     MustMatchers

5. #### class AssertionsHelper extends AnyRef

   Definition Classes
     Assertions

6. #### class CheckingEqualizer[L] extends AnyRef

   Definition Classes
     TripleEqualsSupport

7. #### class DecidedByEquality[A] extends Equality[A]

   Definition Classes
     Explicitly

8. #### class DecidedWord extends AnyRef

   Definition Classes
     Explicitly

9. #### class DeterminedByEquivalence[T] extends Equivalence[T]

   Definition Classes
     Explicitly

10. #### class DeterminedWord extends AnyRef

    Definition Classes
      Explicitly

11. #### class Equalizer[L] extends AnyRef

    Definition Classes
      TripleEqualsSupport

12. #### trait FutureConcept[T] extends AnyRef

    Definition Classes
      Futures

13. #### final class HavePropertyMatcherGenerator extends AnyRef

    Definition Classes
      MustMatchers

14. #### final class ItWord extends AnyRef

    Attributes
      protected
    Definition Classes
      WordSpecLike

15. #### final class KeyWord extends AnyRef

    Definition Classes
      MustMatchers

16. #### trait NoArgTest extends () ⇒ Outcome with TestData

    Attributes
      protected
    Definition Classes
      TestSuite

17. #### final case class PatienceConfig extends Product with Serializable

    Definition Classes
      AbstractPatienceConfiguration

18. #### final class PlusOrMinusWrapper[T] extends AnyRef

    Definition Classes
      Tolerance

19. #### final class RegexWord extends AnyRef

    Definition Classes
      MustMatchers

20. #### final class RegexWrapper extends AnyRef

    Definition Classes
      MustMatchers

21. #### class ResultOfBeWordForAny[T] extends AnyRef

    Definition Classes
      MustMatchers

22. #### sealed class ResultOfBeWordForCollectedAny[T] extends AnyRef

    Definition Classes
      MustMatchers

23. #### final class ResultOfBeWordForCollectedArray[T] extends ResultOfBeWordForCollectedAny[Array[T]]

    Definition Classes
      MustMatchers

24. #### final class ResultOfCollectedAny[T] extends AnyRef

    Definition Classes
      MustMatchers

25. #### final class ResultOfContainWordForCollectedAny[T] extends AnyRef

    Definition Classes
      MustMatchers

26. #### final class ResultOfEndWithWordForCollectedString extends AnyRef

    Definition Classes
      MustMatchers

27. #### final class ResultOfEndWithWordForString extends AnyRef

    Definition Classes
      MustMatchers

28. #### final class ResultOfFullyMatchWordForCollectedString extends AnyRef

    Definition Classes
      MustMatchers

29. #### final class ResultOfFullyMatchWordForString extends AnyRef

    Definition Classes
      MustMatchers

30. #### final class ResultOfHaveWordForCollectedExtent[A] extends AnyRef

    Definition Classes
      MustMatchers

31. #### final class ResultOfHaveWordForExtent[A] extends AnyRef

    Definition Classes
      MustMatchers

32. #### final class ResultOfIncludeWordForCollectedString extends AnyRef

    Definition Classes
      MustMatchers

33. #### final class ResultOfIncludeWordForString extends AnyRef

    Definition Classes
      MustMatchers

34. #### final class ResultOfNotWordForCollectedAny[T] extends AnyRef

    Definition Classes
      MustMatchers

35. #### final class ResultOfStartWithWordForCollectedString extends AnyRef

    Definition Classes
      MustMatchers

36. #### final class ResultOfStartWithWordForString extends AnyRef

    Definition Classes
      MustMatchers

37. #### final class ResultOfTaggedAsInvocationOnString extends AnyRef

    Attributes
      protected
    Definition Classes
      WordSpecLike

38. #### trait StringCanWrapperForVerb extends AnyRef

    Definition Classes
      CanVerb

39. #### final class StringMustWrapper extends AnyMustWrapper[String] with org.scalatest.MustMatchers.StringMustWrapperForVerb

    Definition Classes
      MustMatchers

40. #### trait StringMustWrapperForVerb extends AnyRef

    Definition Classes
      MustVerb

41. #### trait StringShouldWrapperForVerb extends AnyRef

    Definition Classes
      ShouldVerb

42. #### class TheAfterWord extends AnyRef

    Definition Classes
      Explicitly

43. #### final class TheSameInstanceAsPhrase extends AnyRef

    Definition Classes
      MustMatchers

44. #### final class TheyWord extends AnyRef

    Attributes
      protected
    Definition Classes
      WordSpecLike

45. #### class Valuable[T] extends AnyRef

    Definition Classes
      OptionValues

46. #### final class ValueWord extends AnyRef

    Definition Classes
      MustMatchers

47. #### final class WordSpecStringWrapper extends AnyRef

    Attributes
      protected
    Definition Classes
      WordSpecLike

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### def !==[T](right: Spread[T]): TripleEqualsInvocationOnSpread[T]

   Definition Classes
     TripleEqualsSupport

3. #### def !==(right: Null): TripleEqualsInvocation[Null]

   Definition Classes
     TripleEqualsSupport

4. #### def !==[T](right: T): TripleEqualsInvocation[T]

   Definition Classes
     TripleEqualsSupport

5. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

6. #### def <[T](right: T)(implicit arg0: Ordering[T]): ResultOfLessThanComparison[T]

   Definition Classes
     MustMatchers

7. #### def <=[T](right: T)(implicit arg0: Ordering[T]): ResultOfLessThanOrEqualToComparison[T]

   Definition Classes
     MustMatchers

8. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def ===[T](right: Spread[T]): TripleEqualsInvocationOnSpread[T]

   Definition Classes
     TripleEqualsSupport

10. #### def ===(right: Null): TripleEqualsInvocation[Null]

    Definition Classes
      TripleEqualsSupport

11. #### def ===[T](right: T): TripleEqualsInvocation[T]

    Definition Classes
      TripleEqualsSupport

12. #### def >[T](right: T)(implicit arg0: Ordering[T]): ResultOfGreaterThanComparison[T]

    Definition Classes
      MustMatchers

13. #### def >=[T](right: T)(implicit arg0: Ordering[T]): ResultOfGreaterThanOrEqualToComparison[T]

    Definition Classes
      MustMatchers

14. #### def a[T](implicit arg0: ClassTag[T]): ResultOfATypeInvocation[T]

    Definition Classes
      MustMatchers

15. #### val a: AWord

    Definition Classes
      MustMatchers

16. #### val after: TheAfterWord

    Definition Classes
      Explicitly

17. #### def afterWord(text: String): AfterWord

    Attributes
      protected
    Definition Classes
      WordSpecLike

18. #### def alert: Alerter

    Attributes
      protected
    Definition Classes
      WordSpecLike → Alerting

19. #### def all(xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

    Definition Classes
      MustMatchers

20. #### def all[K, V, JMAP[k, v] <: Map[k, v]](xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

    Definition Classes
      MustMatchers

21. #### def all[E, C[_]](xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

    Definition Classes
      MustMatchers

22. #### def allElementsOf[R](elements: GenTraversable[R]): ResultOfAllElementsOfApplication

    Definition Classes
      MustMatchers

23. #### def allOf(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfAllOfApplication

    Definition Classes
      MustMatchers

24. #### def an[T](implicit arg0: ClassTag[T]): ResultOfAnTypeInvocation[T]

    Definition Classes
      MustMatchers

25. #### val an: AnWord

    Definition Classes
      MustMatchers

26. #### lazy val app: Application

    Definition Classes
      UnigrationBase → BaseOneAppPerSuite

27. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

28. #### macro def assert(condition: Boolean, clue: Any)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

29. #### macro def assert(condition: Boolean)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

30. #### macro def assertCompiles(code: String)(implicit pos: Position): Assertion

    Definition Classes
      Assertions

31. #### macro def assertDoesNotCompile(code: String)(implicit pos: Position): Assertion

    Definition Classes
      Assertions

32. #### def assertResult(expected: Any)(actual: Any)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

33. #### def assertResult(expected: Any, clue: Any)(actual: Any)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

34. #### def assertThrows[T <: AnyRef](f: ⇒ Any)(implicit classTag: ClassTag[T], pos: Position): Assertion

    Definition Classes
      Assertions

35. #### macro def assertTypeError(code: String)(implicit pos: Position): Assertion

    Definition Classes
      Assertions

36. #### val assertionsHelper: AssertionsHelper

    Definition Classes
      Assertions

37. #### macro def assume(condition: Boolean, clue: Any)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

38. #### macro def assume(condition: Boolean)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

39. #### def atLeast(num: Int, xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

    Definition Classes
      MustMatchers

40. #### def atLeast[K, V, JMAP[k, v] <: Map[k, v]](num: Int, xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

    Definition Classes
      MustMatchers

41. #### def atLeast[E, C[_]](num: Int, xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

    Definition Classes
      MustMatchers

42. #### def atLeastOneElementOf(elements: GenTraversable[Any]): ResultOfAtLeastOneElementOfApplication

    Definition Classes
      MustMatchers

43. #### def atLeastOneOf(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfAtLeastOneOfApplication

    Definition Classes
      MustMatchers

44. #### def atMost(num: Int, xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

    Definition Classes
      MustMatchers

45. #### def atMost[K, V, JMAP[k, v] <: Map[k, v]](num: Int, xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

    Definition Classes
      MustMatchers

46. #### def atMost[E, C[_]](num: Int, xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

    Definition Classes
      MustMatchers

47. #### def atMostOneElementOf[R](elements: GenTraversable[R]): ResultOfAtMostOneElementOfApplication

    Definition Classes
      MustMatchers

48. #### def atMostOneOf(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfAtMostOneOfApplication

    Definition Classes
      MustMatchers

49. #### val be: BeWord

    Definition Classes
      MatcherWords

50. #### val behave: BehaveWord

    Attributes
      protected
    Definition Classes
      WordSpecLike

51. #### def between(from: Int, upTo: Int, xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

    Definition Classes
      MustMatchers

52. #### def between[K, V, JMAP[k, v] <: Map[k, v]](from: Int, upTo: Int, xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

    Definition Classes
      MustMatchers

53. #### def between[E, C[_]](from: Int, upTo: Int, xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

    Definition Classes
      MustMatchers

54. #### def cancel(cause: Throwable)(implicit pos: Position): Nothing

    Definition Classes
      Assertions

55. #### def cancel(message: String, cause: Throwable)(implicit pos: Position): Nothing

    Definition Classes
      Assertions

56. #### def cancel(message: String)(implicit pos: Position): Nothing

    Definition Classes
      Assertions

57. #### def cancel()(implicit pos: Position): Nothing

    Definition Classes
      Assertions

58. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

59. #### val compile: CompileWord

    Definition Classes
      MatcherWords

60. #### def component[T](implicit arg0: ClassTag[T]): T

    Attributes
      protected[uk.gov.hmrc.test.unigration]

61. #### val contain: ContainWord

    Definition Classes
      MatcherWords

62. #### def conversionCheckedConstraint[A, B](implicit equivalenceOfA: Equivalence[A], cnv: (B) ⇒ A): CanEqual[A, B]

    Definition Classes
      TripleEquals → TripleEqualsSupport

63. #### def convertEquivalenceToAToBConstraint[A, B](equivalenceOfB: Equivalence[B])(implicit ev: <:<[A, B]): CanEqual[A, B]

    Definition Classes
      TripleEquals → TripleEqualsSupport

64. #### def convertEquivalenceToAToBConversionConstraint[A, B](equivalenceOfB: Equivalence[B])(implicit ev: (A) ⇒ B): CanEqual[A, B]

    Definition Classes
      TripleEquals → TripleEqualsSupport

65. #### def convertEquivalenceToBToAConstraint[A, B](equivalenceOfA: Equivalence[A])(implicit ev: <:<[B, A]): CanEqual[A, B]

    Definition Classes
      TripleEquals → TripleEqualsSupport

66. #### def convertEquivalenceToBToAConversionConstraint[A, B](equivalenceOfA: Equivalence[A])(implicit ev: (B) ⇒ A): CanEqual[A, B]

    Definition Classes
      TripleEquals → TripleEqualsSupport

67. #### implicit def convertNumericToPlusOrMinusWrapper[T](pivot: T)(implicit arg0: Numeric[T]): PlusOrMinusWrapper[T]

    Definition Classes
      Tolerance

68. #### implicit def convertOptionToValuable[T](opt: Option[T])(implicit pos: Position): Valuable[T]

    Definition Classes
      OptionValues

69. #### implicit def convertScalaFuture[T](scalaFuture: Future[T]): FutureConcept[T]

    Definition Classes
      ScalaFutures

70. #### implicit def convertSymbolToHavePropertyMatcherGenerator(symbol: Symbol)(implicit prettifier: Prettifier, pos: Position): HavePropertyMatcherGenerator

    Definition Classes
      MustMatchers

71. #### implicit def convertToAnyMustWrapper[T](o: T)(implicit pos: Position, prettifier: Prettifier): AnyMustWrapper[T]

    Definition Classes
      MustMatchers

72. #### def convertToCheckingEqualizer[T](left: T): CheckingEqualizer[T]

    Definition Classes
      TripleEquals → TripleEqualsSupport

73. #### implicit def convertToEqualizer[T](left: T): Equalizer[T]

    Definition Classes
      TripleEquals → TripleEqualsSupport

74. #### implicit def convertToRegexWrapper(o: Regex): RegexWrapper

    Definition Classes
      MustMatchers

75. #### implicit def convertToStringCanWrapper(o: String)(implicit position: Position): StringCanWrapperForVerb

    Definition Classes
      CanVerb

76. #### implicit def convertToStringMustWrapper(o: String)(implicit pos: Position, prettifier: Prettifier): StringMustWrapper

    Definition Classes
      MustMatchers

77. #### implicit def convertToStringMustWrapperForVerb(o: String)(implicit position: Position): StringMustWrapperForVerb

    Definition Classes
      MustVerb

78. #### implicit def convertToStringShouldWrapperForVerb(o: String)(implicit position: Position): StringShouldWrapperForVerb

    Definition Classes
      ShouldVerb

79. #### implicit def convertToWordSpecStringWrapper(s: String): WordSpecStringWrapper

    Attributes
      protected
    Definition Classes
      WordSpecLike

80. #### def customise(builder: GuiceApplicationBuilder): GuiceApplicationBuilder

    Attributes
      protected

81. #### val decided: DecidedWord

    Definition Classes
      Explicitly

82. #### def defaultEquality[A]: Equality[A]

    Definition Classes
      TripleEqualsSupport

83. #### val defined: DefinedWord

    Definition Classes
      MatcherWords

84. #### def definedAt[T](right: T): ResultOfDefinedAt[T]

    Definition Classes
      MustMatchers

85. #### val determined: DeterminedWord

    Definition Classes
      Explicitly

86. #### implicit lazy val ec: ExecutionContext

87. #### val empty: EmptyWord

    Definition Classes
      MatcherWords

88. #### val endWith: EndWithWord

    Definition Classes
      MatcherWords

89. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

90. #### def equal(o: Null): Matcher[AnyRef]

    Definition Classes
      MustMatchers

91. #### def equal[T](spread: Spread[T]): Matcher[T]

    Definition Classes
      MustMatchers

92. #### def equal(right: Any): MatcherFactory1[Any, Equality]

    Definition Classes
      MatcherWords

93. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

94. #### def every(xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

    Definition Classes
      MustMatchers

95. #### def every[K, V, JMAP[k, v] <: Map[k, v]](xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

    Definition Classes
      MustMatchers

96. #### def every[E, C[_]](xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

    Definition Classes
      MustMatchers

97. #### def exactly(num: Int, xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

    Definition Classes
      MustMatchers

98. #### def exactly[K, V, JMAP[k, v] <: Map[k, v]](num: Int, xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

    Definition Classes
      MustMatchers

99. #### def exactly[E, C[_]](num: Int, xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

    Definition Classes
      MustMatchers

100. #### final def execute(testName: String, configMap: ConfigMap, color: Boolean, durations: Boolean, shortstacks: Boolean, fullstacks: Boolean, stats: Boolean): Unit

     Definition Classes
       Suite

101. #### val exist: ExistWord

     Definition Classes
       MatcherWords

102. #### def expectedTestCount(filter: Filter): Int

     Definition Classes
       Suite

103. #### def fail(cause: Throwable)(implicit pos: Position): Nothing

     Definition Classes
       Assertions

104. #### def fail(message: String, cause: Throwable)(implicit pos: Position): Nothing

     Definition Classes
       Assertions

105. #### def fail(message: String)(implicit pos: Position): Nothing

     Definition Classes
       Assertions

106. #### def fail()(implicit pos: Position): Nothing

     Definition Classes
       Assertions

107. #### def fakeApplication(): Application

     Definition Classes
       GuiceFakeApplicationFactory → FakeApplicationFactory

108. #### def finalize(): Unit

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( classOf[java.lang.Throwable] )

109. #### val fullyMatch: FullyMatchWord

     Definition Classes
       MatcherWords

110. #### final def getClass(): Class[_]

     Definition Classes
       AnyRef → Any

111. #### def hashCode(): Int

     Definition Classes
       AnyRef → Any

112. #### val have: HaveWord

     Definition Classes
       MatcherWords

113. #### def inOrder(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfInOrderApplication

     Definition Classes
       MustMatchers

114. #### def inOrderElementsOf[R](elements: GenTraversable[R]): ResultOfInOrderElementsOfApplication

     Definition Classes
       MustMatchers

115. #### def inOrderOnly[T](firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfInOrderOnlyApplication

     Definition Classes
       MustMatchers

116. #### val include: IncludeWord

     Definition Classes
       MatcherWords

117. #### def info: Informer

     Attributes
       protected
     Definition Classes
       WordSpecLike → Informing

118. #### def intercept[T <: AnyRef](f: ⇒ Any)(implicit classTag: ClassTag[T], pos: Position): T

     Definition Classes
       Assertions

119. #### def interval(value: Span): Interval

     Definition Classes
       PatienceConfiguration

120. #### final def isInstanceOf[T0]: Boolean

     Definition Classes
       Any

121. #### val it: ItWord

     Attributes
       protected
     Definition Classes
       WordSpecLike

122. #### val key: KeyWord

     Definition Classes
       MustMatchers

123. #### val length: LengthWord

     Definition Classes
       MatcherWords

124. #### def lowPriorityConversionCheckedConstraint[A, B](implicit equivalenceOfB: Equivalence[B], cnv: (A) ⇒ B): CanEqual[A, B]

     Definition Classes
       TripleEquals → TripleEqualsSupport

125. #### def lowPriorityTypeCheckedConstraint[A, B](implicit equivalenceOfB: Equivalence[B], ev: <:<[A, B]): CanEqual[A, B]

     Definition Classes
       TripleEquals → TripleEqualsSupport

126. #### def markup: Documenter

     Attributes
       protected
     Definition Classes
       WordSpecLike → Documenting

127. #### implicit lazy val mat: Materializer

128. #### val matchPattern: MatchPatternWord

     Definition Classes
       MatcherWords

129. #### def message(expectedMessage: String): ResultOfMessageWordApplication

     Definition Classes
       MustMatchers

130. #### implicit lazy val messages: MessagesApi

131. #### final def ne(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

132. #### def nestedSuites: IndexedSeq[Suite]

     Definition Classes
       Suite

133. #### def no(xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

     Definition Classes
       MustMatchers

134. #### def no[K, V, JMAP[k, v] <: Map[k, v]](xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

     Definition Classes
       MustMatchers

135. #### def no[E, C[_]](xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

     Definition Classes
       MustMatchers

136. #### def noElementsOf(elements: GenTraversable[Any]): ResultOfNoElementsOfApplication

     Definition Classes
       MustMatchers

137. #### def noException(implicit pos: Position): NoExceptionWord

     Definition Classes
       MatcherWords

138. #### def noneOf(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfNoneOfApplication

     Definition Classes
       MustMatchers

139. #### val not: NotWord

     Definition Classes
       MatcherWords

140. #### def note: Notifier

     Attributes
       protected
     Definition Classes
       WordSpecLike → Notifying

141. #### final def notify(): Unit

     Definition Classes
       AnyRef

142. #### final def notifyAll(): Unit

     Definition Classes
       AnyRef

143. #### def of[T](implicit ev: ClassTag[T]): ResultOfOfTypeInvocation[T]

     Definition Classes
       MustMatchers

144. #### def oneElementOf(elements: GenTraversable[Any]): ResultOfOneElementOfApplication

     Definition Classes
       MustMatchers

145. #### def oneOf(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfOneOfApplication

     Definition Classes
       MustMatchers

146. #### def only(xs: Any*)(implicit pos: Position): ResultOfOnlyApplication

     Definition Classes
       MustMatchers

147. #### implicit lazy val patience: PatienceConfig

     Definition Classes
       UnigrationFutures

148. #### implicit def patienceConfig: PatienceConfig

     Definition Classes
       PatienceConfiguration → AbstractPatienceConfiguration

149. #### def pending: Assertion with PendingStatement

     Definition Classes
       Assertions

150. #### def pendingUntilFixed(f: ⇒ Unit)(implicit pos: Position): Assertion with PendingStatement

     Definition Classes
       Assertions

151. #### def random0To9: Int

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

152. #### def randomBigDecimal(limit: Int): BigDecimal

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

153. #### def randomBigDecimal: BigDecimal

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

154. #### def randomBoolean: Boolean

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

155. #### def randomDomainName: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

156. #### def randomEmail(firstName: String, lastName: String): String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

157. #### def randomEmail: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

158. #### def randomFirstName: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

159. #### def randomISO3166Alpha2CountryCode: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

160. #### def randomISO4217CurrencyCode: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

161. #### def randomInt(limit: Int): Int

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

162. #### def randomLastName: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

163. #### def randomString(length: Int): String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

164. #### def randomUUID: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

165. #### val readable: ReadableWord

     Definition Classes
       MatcherWords

166. #### val regex: RegexWord

     Definition Classes
       MustMatchers

167. #### final def registerIgnoredTest(testText: String, testTags: Tag*)(testFun: ⇒ Any)(implicit pos: Position): Unit

     Definition Classes
       WordSpecLike → TestRegistration

168. #### final def registerTest(testText: String, testTags: Tag*)(testFun: ⇒ Any)(implicit pos: Position): Unit

     Definition Classes
       WordSpecLike → TestRegistration

169. #### def rerunner: Option[String]

     Definition Classes
       Suite

170. #### def run(testName: Option[String], args: Args): Status

     Definition Classes
       BaseOneAppPerSuite → SuiteMixin

171. #### def runNestedSuites(args: Args): Status

     Attributes
       protected
     Definition Classes
       Suite

172. #### def runTest(testName: String, args: Args): Status

     Attributes
       protected
     Definition Classes
       WordSpecLike → TestSuite → Suite

173. #### def runTests(testName: Option[String], args: Args): Status

     Attributes
       protected
     Definition Classes
       WordSpecLike → Suite

174. #### final def scaled(span: Span): Span

     Definition Classes
       ScaledTimeSpans

175. #### val size: SizeWord

     Definition Classes
       MatcherWords

176. #### val sorted: SortedWord

     Definition Classes
       MatcherWords

177. #### def spanScaleFactor: Double

     Definition Classes
       ScaledTimeSpans

178. #### val startWith: StartWithWord

     Definition Classes
       MatcherWords

179. #### final val styleName: String

     Definition Classes
       WordSpecLike → Suite

180. #### implicit val subjectRegistrationFunction: StringVerbBlockRegistration

     Attributes
       protected
     Definition Classes
       WordSpecLike

181. #### implicit val subjectWithAfterWordRegistrationFunction: SubjectWithAfterWordRegistration

     Attributes
       protected
     Definition Classes
       WordSpecLike

182. #### final val succeed: Assertion

     Definition Classes
       Assertions

183. #### def suiteId: String

     Definition Classes
       Suite

184. #### def suiteName: String

     Definition Classes
       Suite

185. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

186. #### def tags: Map[String, Set[String]]

     Definition Classes
       WordSpecLike → Suite

187. #### def testDataFor(testName: String, theConfigMap: ConfigMap): TestData

     Definition Classes
       WordSpecLike → Suite

188. #### def testNames: Set[String]

     Definition Classes
       WordSpecLike → Suite

189. #### def the[T](implicit arg0: ClassTag[T], pos: Position): ResultOfTheTypeInvocation[T]

     Definition Classes
       MustMatchers

190. #### def theSameElementsAs(xs: GenTraversable[_]): ResultOfTheSameElementsAsApplication

     Definition Classes
       MustMatchers

191. #### def theSameElementsInOrderAs(xs: GenTraversable[_]): ResultOfTheSameElementsInOrderAsApplication

     Definition Classes
       MustMatchers

192. #### val theSameInstanceAs: TheSameInstanceAsPhrase

     Definition Classes
       MustMatchers

193. #### val they: TheyWord

     Attributes
       protected
     Definition Classes
       WordSpecLike

194. #### def thrownBy(fun: ⇒ Any): ResultOfThrownByApplication

     Definition Classes
       MustMatchers

195. #### def timeout(value: Span): Timeout

     Definition Classes
       PatienceConfiguration

196. #### def toString(): String

     Definition Classes
       WordSpec → AnyRef → Any

197. #### val typeCheck: TypeCheckWord

     Definition Classes
       MatcherWords

198. #### def typeCheckedConstraint[A, B](implicit equivalenceOfA: Equivalence[A], ev: <:<[B, A]): CanEqual[A, B]

     Definition Classes
       TripleEquals → TripleEqualsSupport

199. #### implicit def unconstrainedEquality[A, B](implicit equalityOfA: Equality[A]): CanEqual[A, B]

     Definition Classes
       TripleEquals → TripleEqualsSupport

200. #### val value: ValueWord

     Definition Classes
       MustMatchers

201. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

202. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

203. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

204. #### final def whenReady[T, U](future: FutureConcept[T])(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

     Definition Classes
       Futures

205. #### final def whenReady[T, U](future: FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

     Definition Classes
       Futures

206. #### final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

     Definition Classes
       Futures

207. #### final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

     Definition Classes
       Futures

208. #### def withClue[T](clue: Any)(fun: ⇒ T): T

     Definition Classes
       Assertions

209. #### def withFixture(test: NoArgTest): Outcome

     Attributes
       protected
     Definition Classes
       TestSuite

210. #### val writable: WritableWord

     Definition Classes
       MatcherWords

211. #### def wsCall(call: Call)(implicit portNumber: PortNumber, wsClient: WSClient): WSRequest

     Definition Classes
       WsScalaTestClient

212. #### def wsUrl(url: String)(implicit portNumber: PortNumber, wsClient: WSClient): WSRequest

     Definition Classes
       WsScalaTestClient

### Deprecated Value Members

1. #### final def execute: Unit

   Definition Classes
     Suite
   Annotations
     @deprecated
   Deprecated

     The parameterless execute method has been deprecated and will be removed in a future version of ScalaTest. Please invoke execute with empty parens instead: execute().

2. #### def trap[T](f: ⇒ T): Throwable

   Definition Classes
     Assertions
   Annotations
     @deprecated
   Deprecated

     The trap method is no longer needed for demos in the REPL, which now abreviates stack traces, and will be removed in a future version of ScalaTest

### Inherited from UnigrationFixtures

### Inherited from UnigrationFutures

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from GuiceOneAppPerSuite

### Inherited from GuiceFakeApplicationFactory

### Inherited from FakeApplicationFactory

### Inherited from BaseOneAppPerSuite

### Inherited from TestSuiteMixin

### Inherited from SuiteMixin

### Inherited from PlaySpec

### Inherited from WsScalaTestClient

### Inherited from OptionValues

### Inherited from MustMatchers

### Inherited from Explicitly

### Inherited from MatcherWords

### Inherited from Tolerance

### Inherited from WordSpec

### Inherited from WordSpecLike

### Inherited from Documenting

### Inherited from Alerting

### Inherited from Notifying

### Inherited from Informing

### Inherited from CanVerb

### Inherited from MustVerb

### Inherited from ShouldVerb

### Inherited from TestRegistration

### Inherited from TestSuite

### Inherited from Suite

### Inherited from Serializable

### Inherited from Assertions

### Inherited from TripleEquals

### Inherited from TripleEqualsSupport

### Inherited from AnyRef

### Inherited from Any

### Ungrouped